#ifndef MATERIALLAYERINFO_H
#define MATERIALLAYERINFO_H

#include <QtGui/QWidget>
#include "modelcreatordata.h"

namespace Ui {
    class MaterialLayerInfo;
}

class MaterialLayerInfo : public QWidget {
    Q_OBJECT
public:
    MaterialLayerInfo(QWidget *parent = 0);
    ~MaterialLayerInfo();
    void setObjectName(const QString&);
    void saveLayer();
    bool loadLayer(QString &base);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MaterialLayerInfo *m_ui;
    M3D::M3DML_BLOCK_TYPE type;
    int subtype;

public slots:
    void textureOpen();
signals:
    void setTexturePath(QString);
    void textureLoaded(int);
};

#endif // MATERIALLAYERINFO_H
